﻿//资讯评论功能
seajs.use(['jquery', 'jquery-cookie', 'regular', 'layer'],
    function ($, cookie, regular) {
        var page = 1;
        var flag = true;
        var addCommentHtml = $(".com-enter .com-button");
        var moreCommentHtml = $(".com-list .more-com");
        var commentHtml = $(".com-list .comment-list");
        var numCommentHtml = $(".com-list .com-num span:last");
        var textHtml = $("#textContents");
        var fromGuid = $(".comment-wrap").attr("data-news-fromGuid");
        var mvcToken = $('[name=__RequestVerificationToken]').val();

        $(function () {
            moreCommentHtml.click(function () {
                commentLoad(true, ++page);
            })
            $(function () {
                addCommentHtml.click(function () {
                    addComment();
                })
            })
            commentInit()
        });

        function addComment() {
            if (textHtml.val().trim().length < 5) {
                layer.msg("输入不低于5个字");
                textHtml.focus();
                return false;
            }
            $.ajax({
                url: "/news/News/SendComment",
                type: "post",
                datatype: "json",
                data: { fromGuid: fromGuid, contents: textHtml.val().trim(), __RequestVerificationToken: mvcToken },
                success: function (data) {
                    if (data.success) {
                        layer.msg(data.message);
                        page = 1;
                        commentLoad(false, 1);
                    }
                    else {
                        layer.msg(data.message);
                    }
                }
            });
        }
        //初始化评论
        function commentInit() {
            $.ajax({
                url: "/news/News/GetCommentPage",
                type: "get",
                datatype: "json",
                data: { fromGuid: fromGuid, page: 1 },
                success: function (data) {
                    if (data.recoredCount > 0) {
                        commentLoad(true, page);
                        numCommentHtml.text(data.recoredCount);
                    }
                    else {
                        moreCommentHtml.hide();
                    }
                }
            });
        }
        //加载评论
        function commentLoad(flag, page) {
            $.ajax({
                url: "/news/News/GetComment",
                type: "get",
                datatype: "html",
                data: { fromGuid: fromGuid, page: page },
                success: function (data) {
                    if (flag) {
                        commentHtml.append(data);
                    }
                    else {
                        commentHtml.empty().append(data);
                        numCommentHtml.text(parseInt(numCommentHtml.text()) + 1);
                        textHtml.val("");
                    }
                    if (commentHtml.children("li").length == numCommentHtml.text()) {
                        moreCommentHtml.hide();
                    }
                    else {
                        moreCommentHtml.show();
                    }
                }
            })
        }
    });


//资讯点赞功能
seajs.use(['jquery', 'jquery-cookie', 'regular', 'layer'],
    function ($, cookie, regular) {
        cookie($);
        var newsId = $(".opertion .like-tab").attr("data-news-id");
        var goodOperateHtml = $(".opertion .like-tab .like-ta");
        var goodNumHtml = $(".opertion .like-ta span:last");
        var mvcToken = $('[name=__RequestVerificationToken]').val();

        $(function () {
            getGood()
        });

        //获取点赞操作
        function getGood() {
            $.ajax({
                url: "/news/News/GetNumAttr",
                type: "get",
                datatype: "json",
                data: { id: newsId },
                success: function (data) {
                    if (data.success) {
                        var cookieCase = $.cookie("sjq-news-good-" + newsId);
                        if (cookieCase) {
                            goodOperateHtml.addClass("on").children("i").replaceWith("<span class='active'>已点赞</span>");
                        }
                        else {
                            goodOperateHtml.bind("click", addGood);
                        }
                    }
                    goodNumHtml.text(data.numGood);
                }
            });
        }
        //添加点赞操作
        function addGood() {
            if ($.cookie("sjq-news-good-" + newsId)) {
                return false;
            }
            else {
                $.ajax({
                    url: "/news/News/AddNumAttr",
                    type: "post",
                    datatye: "json",
                    data: { id: newsId, attr: 3, __RequestVerificationToken: mvcToken},
                    success: function (data) {
                        if (true) {
                            $.cookie("sjq-news-good-" + newsId, "value", { expires: 1 });
                            goodNumHtml.text(parseInt(goodNumHtml.text()) + 1);
                            goodOperateHtml.addClass("on").children("i").replaceWith("<span class='active'>已点赞</span>");
                            goodOperateHtml.off("click");
                            layer.msg("点赞成功");
                        }
                    }
                });
            }
        }
    });

//资讯收藏功能
seajs.use(['jquery', 'jquery-cookie', 'regular', 'layer'],
    function ($, cookie, regular) {
        var newsGuid = $(".comment-wrap").attr("data-news-fromGuid");
        var newsId = $(".like-tab").attr("data-news-id");
        var favoriteHtml = $(".collect-tab .collect-ta");
        var mvcToken = $('[name=__RequestVerificationToken]').val();

        $(function () {
            isFavorites();
        })
        //判断是否已收藏
        function isFavorites() {
            $.ajax({
                url: "/news/News/IsFavorite",
                type: "get",
                dataType: "Json",
                data: { guid: newsGuid, typeEnum: "NEWS", favoriteEnum: 'FAVORITE' },
                success: function (data) {
                    if (!data.IsLogin) {
                        favoriteHtml.click(function () {
                            $("#pop-ups").show();
                        })
                    }
                    else {
                        if (data.success) {
                            var favoriteNum = $(".collect-tab p").text(data.num + "人已收藏");
                            favoriteHtml.addClass("on").off("mouseenter mouseleave");
                            favoriteHtml.children(".collect").css({ "display": "none" });
                            favoriteHtml.children("span").replaceWith("<span class='active'>已收藏</span>");
                            favoriteNum;
                        }
                        else {
                            favoriteHtml.click(function () {
                                addFavorites()
                            })
                        }
                    }
                }
            });
        };
        //收藏操作
        function addFavorites() {
            var befor = parseInt($(".collect-tab p").text());
            var favoriteNum = parseInt(befor + 1);
            $.ajax({
                type: "post",
                url: "/news/News/AddFavorite",
                data: { guid: newsGuid, id: newsId, TypeEnum: "NEWS", favoriteEnum: "FAVORITE", __RequestVerificationToken: mvcToken},
                success: function (data) {
                    if (data.success) {
                        layer.msg("收藏成功");
                        favoriteHtml.addClass("on").off("mouseenter mouseleave");
                        favoriteHtml.children(".collect").css({ "display": "none" });
                        favoriteHtml.children("span").replaceWith("<span class='active'>已收藏</span>");
                        $(".collect-tab p").text(favoriteNum + "人已收藏");
                    }
                    else {
                        layer.msg("收藏失败")
                    }
                }
            });
        }
    });